gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gdk::PixbufError Class Reference

Exception class for Gdk::Pixbuf errors. More...

Inheritance diagram for Gdk::PixbufError:
[legend]
Collaboration diagram for Gdk::PixbufError:
[legend]

## Public Types
enum | Code { CORRUPT_IMAGE, INSUFFICIENT_MEMORY, BAD_OPTION, UNKNOWN_TYPE, UNSUPPORTED_OPERATION, FAILED }

## Public Member Functions
| PixbufError (Code error_code, const Glib::ustring& error_message)
| PixbufError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexceptoverride
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::Pixbuf errors.

## Member Enumeration Documentation

enum Gdk::PixbufError::Code

Enumerator
CORRUPT_IMAGE |
INSUFFICIENT_MEMORY |
BAD_OPTION |
UNKNOWN_TYPE |
UNSUPPORTED_OPERATION |
FAILED |

## Constructor & Destructor Documentation

Gdk::PixbufError::PixbufError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gdk::PixbufError::PixbufError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gdk::PixbufError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gdkmm/pixbuf.h